Name: publish-acc-to-console 
Version: 0.5
Release: alt1

Summary: Publish web acc URLs on console
License: GPL
Group: System/Configuration/Other
Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>
BuildArch: noarch

Source: %name-%version.tar

Requires: bootsplash fonts-ttf-liberation alterator-net-functions
Requires(post): %post_service
Requires(preun): %preun_service


%description
Publish web acc URLs on console in bootsplash and issue

%prep
%setup -q

%install
install -D -m755 publish-acc-to-console.init %buildroot%_initdir/%name
install -D -m755 publish-acc-to-console.hook %buildroot/usr/lib/alterator/hooks/net-eth.d/%name
mkdir -p %buildroot/usr/share/locale/ru/LC_MESSAGES/
msgfmt -o %buildroot/usr/share/locale/ru/LC_MESSAGES/%name.mo ru.po

%post 
%post_service %name

%preun
%preun_service %name

%files
%_initdir/%name
/usr/lib/alterator/hooks/net-eth.d/%name
/usr/share/locale/ru/LC_MESSAGES/%name.mo

%changelog
* Mon Apr 13 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.5-alt1
- quoting of translaged label added 
- bootsplash font size increased

* Fri Apr 10 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.4-alt1
- sourcing of system i18n added 

* Fri Apr 10 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.3-alt1
- hook for net-eth added
- translation added

* Fri Apr 10 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt1
- verbose bootsplash used 

* Fri Apr 10 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt1
- first build 


